> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List gravitino-shared clients

> List all `gravitino-shared` clients with pagination.
When listing a client, you can optionally filter by name suffix. For example, `search='dev'` finds `gravitino-shared-dev`.



## OpenAPI

````yaml get /api/data_shares
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/data_shares:
    get:
      tags:
        - Data shares
      summary: List gravitino-shared clients
      description: >-
        List all `gravitino-shared` clients with pagination.

        When listing a client, you can optionally filter by name suffix. For
        example, `search='dev'` finds `gravitino-shared-dev`.
      operationId: list_clients_api_data_shares_get
      parameters:
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search filter appended to `gravitino-shared-`.
            title: Search
          description: Search filter appended to `gravitino-shared-`.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number.
            default: 1
            title: Page
          description: Page number.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page.
            default: 20
            title: Page Size
          description: Items per page.
      responses:
        '200':
          description: List of clients.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden - insufficient permissions.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ClientListResponse:
      properties:
        clients:
          items:
            $ref: '#/components/schemas/ClientInfo'
          type: array
          title: Clients
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
      type: object
      required:
        - clients
        - total
        - page
        - page_size
      title: ClientListResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientInfo:
      properties:
        id:
          type: string
          title: Id
        client_id:
          type: string
          title: Client Id
        name:
          type: string
          title: Name
        secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret
        enabled:
          type: boolean
          title: Enabled
        service_accounts_enabled:
          type: boolean
          title: Service Accounts Enabled
      type: object
      required:
        - id
        - client_id
        - name
        - enabled
        - service_accounts_enabled
      title: ClientInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````